Adding the .NET Framework 3.5 Features to Windows Server 2008 R2

The message "You must use the Role Management Tool to install or configure Microsoft .NET Framework 3.5,"  appears when attempting to run the DocConverter R4.1 OEM Installer in a Windows Server 2008 R2 environment.

Probable Cause

The .NET Framework 3.5 is not enabled as a feature in the Server Manager.  NOTE: ActivePDF recommends adding the .NET Framework 3.5 Features prior to running any OEM installers.


Enable .NET Framework 3.5 in the Server Manager.

  1. Start the Server Manager.
  2. In the Features area, click Add Features. The Add Features Wizard opens. 
  3. Select .NET Framework 3.5.1 Features.
  4. Click Next and follow the on-screen prompts to save the changes.